<?php

namespace App\Modules\ExternalUser\Application;

use App\Modules\ExternalUser\Domain\ExternalUser;
use App\Modules\ExternalUser\Domain\ExternalUserRepository;

class ExternalUserUpdater
{

    private ExternalUserRepository $repository;

    public function __construct(ExternalUserRepository $repository)
    {
        $this->repository = $repository;
    }

    public function __invoke(ExternalUser $htlCamp)
    {
        return $this->repository->update($htlCamp);
    }
}
